##
##  epm.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         epm
Summary:      ESP Package Manager
URL:          http://www.easysw.com/epm/
Vendor:       Easy Software Products
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        System
License:      GPL
Version:      4.1
Release:      20080101

#   list of sources
Source0:      http://ftp.rz.tu-bs.de/pub/mirror/ftp.easysw.com/ftp/pub/epm/%{version}/epm-%{version}-source.tar.bz2

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, gzip
PreReq:       OpenPKG, openpkg >= 20040130, gzip
AutoReq:      no
AutoReqProv:  no

%description
    EPM is a free UNIX software/file packaging program that generates
    distribution archives in various formats from a list of files. It
    can generate portable script-based distribution packages complete
    with installation and removal scripts, generate vendor distributions
    in AIX, BSD, Compaq Tru64, Debian, HP-UX, IRIX, Red Hat, and
    Solaris formats, and provide a complete, cross-platform software
    distribution solution for your applications.

%track
    prog epm = {
        version   = %{version}
        url       = http://ftp.rz.tu-bs.de/pub/mirror/ftp.easysw.com/ftp/pub/epm/
        regex     = (\d+(\.\d+)+)/
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-docdir=%{l_prefix}/share/epm \
        --with-software=%{l_prefix}/var/epm/software
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -p -m 0755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/epm \
        $RPM_BUILD_ROOT%{l_prefix}/var/epm/software
    %{l_make} %{l_mflags} install \
        prefix=$RPM_BUILD_ROOT%{l_prefix} \
        exec_prefix=$RPM_BUILD_ROOT%{l_prefix} \
        datadir=$RPM_BUILD_ROOT%{l_prefix}/share \
        docdir=$RPM_BUILD_ROOT%{l_prefix}/share/epm
    rm -f $RPM_BUILD_ROOT%{l_prefix}/share/epm/[A-Z]*
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/man/cat* >/dev/null 2>&1 || true
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} \
        '%attr(1777,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/epm/software'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

